Get Business Search Combinations
curl --request GET \
--url https://api.baselayer.com/businesses/{id}/search_combinations \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.baselayer.com/businesses/{id}/search_combinations"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.baselayer.com/businesses/{id}/search_combinations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"created_at": "2026-08-31T10:31:07.677145",
"name": "Clark PLC",
"address": "63788 Paige Lane Cooperfurt, MI 10037",
"tin": "123456789",
"officer_names": [
"Louis Schneider"
]
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Business Information
Get Business Search Combinations
GET
/
businesses
/
{id}
/
search_combinations
Get Business Search Combinations
Authorizations
Path Parameters
Query Parameters
Required range:
x >= 1Required range:
x >= 0Response
Successful Response
The date and time when the search was created.
Example:
"2026-08-31T10:31:07.677145"
The name inputted on the search.
Example:
"Clark PLC"
The address inputted on the search.
Example:
"63788 Paige Lane Cooperfurt, MI 10037"
The TIN inputted on the search.
Example:
"123456789"
The officer names inputted on the search.
Example:
["Louis Schneider"]